Loading...
Searching...
No Matches
L4virtio::Ptr< T > Class Template Reference

Pointer used in virtio descriptors. More...

`#include <virtqueue>`

Inheritance diagram for L4virtio::Ptr< T >:
Collaboration diagram for L4virtio::Ptr< T >:

## Public Types

enum | Invalid_type { Invalid }
| Type for making an invalid (NULL) Ptr. More...

## Public Member Functions

| Ptr (Invalid_type)
| Make and invalid Ptr.
| Ptr (l4_uint64_t vm_addr)
| Make a Ptr from a raw 64bit address.
l4_uint64_t | get () const
bool | is_valid () const

## Detailed Description

template<typename T>
class L4virtio::Ptr< T >

Pointer used in virtio descriptors.

As the descriptor contain guest addresses these pointers cannot be dereferenced directly.

Definition at line 47 of file virtqueue.

## Member Enumeration Documentation

## Invalid_type

template<typename T>

enum L4virtio::Ptr::Invalid_type

Type for making an invalid (NULL) Ptr.

Enumerator
Invalid | Use to set a Ptr to invalid (NULL).

Definition at line 51 of file virtqueue.

## Member Function Documentation

## get()

template<typename T>

l4_uint64_t L4virtio::Ptr< T >::get | ( |  | ) | const

inline

Returns
  The raw 64bit address of the stored pointer.

Definition at line 62 of file virtqueue.

Referenced by L4virtio::Svr::Driver_mem_list_t< No_custom_data >::load_desc(), L4virtio::Svr::Driver_mem_list_t< No_custom_data >::load_desc(), L4virtio::Svr::Driver_mem_list_t< No_custom_data >::load_desc(), and L4virtio::Svr::Driver_mem_region_t< No_custom_data >::local().

Here is the caller graph for this function:

## is_valid()

template<typename T>

bool L4virtio::Ptr< T >::is_valid | ( |  | ) | const

inline

Returns
  true if the stored pointer is valid (not NULL).

Definition at line 65 of file virtqueue.

The documentation for this class was generated from the following file:

- l4/l4virtio/virtqueue